/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

import java.util.List;

/**
 * OASIS XLIFF の xliff 要素をあらわすバリューオブジェクト。
 */
public class BlancoXliff {
    /**
     * フィールド [version]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.2"]<br>
     * バージョン属性。
     */
    private String fVersion = "1.2";

    /**
     * フィールド [fileList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * file要素のリスト。
     */
    private List fFileList = new java.util.ArrayList();

    /**
     * フィールド [version]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * バージョン属性。
     *
     * @param argVersion フィールド[version]に格納したい値
     */
    public void setVersion(final String argVersion) {
        fVersion = argVersion;
    }

    /**
     * フィールド[version]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.2"]<br>
     * バージョン属性。
     *
     * @return フィールド[version]に格納されている値
     */
    public String getVersion() {
        return fVersion;
    }

    /**
     * フィールド [fileList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * file要素のリスト。
     *
     * @param argFileList フィールド[fileList]に格納したい値
     */
    public void setFileList(final List argFileList) {
        fFileList = argFileList;
    }

    /**
     * フィールド[fileList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * file要素のリスト。
     *
     * @return フィールド[fileList]に格納されている値
     */
    public List getFileList() {
        return fFileList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliff[");
        buf.append("version=" + fVersion);
        buf.append(",fileList=" + fFileList);
        buf.append("]");
        return buf.toString();
    }
}
